"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWalletHelper_ctx = void 0;
var vue_1 = require("vue");
var evm_1 = require("@gotbit/evm");
var useWalletHelper_ctx = function (ctx) {
    return function (_a) {
        var _b = _a.connectLabel, connectLabel = _b === void 0 ? 'Connect' : _b;
        var wallet = (0, evm_1.useModule)(ctx, evm_1.Wallet);
        var walletState = wallet.useWalletState();
        return {
            walletLabel: (0, vue_1.computed)(function () {
                if (walletState.login)
                    return walletState.wallet.shortAddress();
                return connectLabel;
            }),
            isCorrectChainId: (0, vue_1.computed)(function () { return walletState.chainId === walletState.realChainId; }),
        };
    };
};
exports.useWalletHelper_ctx = useWalletHelper_ctx;
